<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: vdf_extend_flow.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_985f593f22fcf3a93b5ee7686d3ca58d.html">vdf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">vdf_extend_flow.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceextend__sd__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html">extend_sd_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacevdf__extend__flow"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html">vdf_extend_flow</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:aea80ffafb706e7ddf435f64471a12d75"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structextend__sd__defs__m_1_1extend__xx__t.html">extend_xx_t</a>) function, pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#aea80ffafb706e7ddf435f64471a12d75">extend_sd_m::add_extend_xx</a> (sd, name)</td></tr>
<tr class="separator:aea80ffafb706e7ddf435f64471a12d75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03df8262f9171dec1cb7bb1018ca694d"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a03df8262f9171dec1cb7bb1018ca694d">extend_sd_m::extend_sd_init</a> (sd)</td></tr>
<tr class="separator:a03df8262f9171dec1cb7bb1018ca694d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3cec45263fa79a9127009985c1affc3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#af3cec45263fa79a9127009985c1affc3">set_exx1_to_exx2</a> (exx1, exx2)</td></tr>
<tr class="separator:af3cec45263fa79a9127009985c1affc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29fa7646d0f628354698e5dbcc1df59"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#ab29fa7646d0f628354698e5dbcc1df59">extend_sd_m::extend_sd_allocate_mem</a> (sd)</td></tr>
<tr class="separator:ab29fa7646d0f628354698e5dbcc1df59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98b89f130ff90467449ef79b7c6d2baa"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a98b89f130ff90467449ef79b7c6d2baa">check_neighbor_for_fluid_cv</a> (id_in)</td></tr>
<tr class="separator:a98b89f130ff90467449ef79b7c6d2baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0935701c984c0df2d4f8e59a53ec650d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a0935701c984c0df2d4f8e59a53ec650d">set_bc_info_trg_pt</a> (id_in, dir, dir_sign, is_mot)</td></tr>
<tr class="separator:a0935701c984c0df2d4f8e59a53ec650d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e5509af3ab71ca1a3a75c91b0986c37"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a4e5509af3ab71ca1a3a75c91b0986c37">add_cv_wo_bc</a> (dir_sign)</td></tr>
<tr class="separator:a4e5509af3ab71ca1a3a75c91b0986c37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7152a4d100a812d827dc9ccedb161713"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a7152a4d100a812d827dc9ccedb161713">build_list_wo_neighbor_fluid_cv</a> ()</td></tr>
<tr class="separator:a7152a4d100a812d827dc9ccedb161713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a91ed2fb9b9520d5104cecc123e3003"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a8a91ed2fb9b9520d5104cecc123e3003">extend_sd_m::set_ijk_list_extend_nover</a> (sd)</td></tr>
<tr class="separator:a8a91ed2fb9b9520d5104cecc123e3003"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4312532604e352879897bf961cf532db"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a4312532604e352879897bf961cf532db">add_cv_nov</a> (i, j, k)</td></tr>
<tr class="separator:a4312532604e352879897bf961cf532db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd17843d6bdf47bdf7aa9033c0edd82"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#adcd17843d6bdf47bdf7aa9033c0edd82">extend_sd_m::set_fa_flag_extend</a> (sd)</td></tr>
<tr class="separator:adcd17843d6bdf47bdf7aa9033c0edd82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebcd963ac380ab6ae1e39adf5862c2c7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#aebcd963ac380ab6ae1e39adf5862c2c7">extend_sd_m::extend_sd_save</a> (sd)</td></tr>
<tr class="separator:aebcd963ac380ab6ae1e39adf5862c2c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c2e451723ff7cc05d198a238a178e12"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a6c2e451723ff7cc05d198a238a178e12">add_md_grad_cv</a> ()</td></tr>
<tr class="separator:a6c2e451723ff7cc05d198a238a178e12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc4b77956f3c5c45018b902d8bd1d65"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a1fc4b77956f3c5c45018b902d8bd1d65">extend_sd_m::set_gradient_index</a> (sd, id, id_i, id_j, id_k, ncv_dir)</td></tr>
<tr class="separator:a1fc4b77956f3c5c45018b902d8bd1d65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4be9f3860beceab3165f5ce485558a8b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a4be9f3860beceab3165f5ce485558a8b">extend_sd_m::calc_var_gradient_seed</a> (sd, id, id_i, id_j, id_k, ncv_dir, grad)</td></tr>
<tr class="separator:a4be9f3860beceab3165f5ce485558a8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6209a565ae8e042b83a33e669351d167"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a6209a565ae8e042b83a33e669351d167">extend_sd_m::extend_sd_update_gradient</a> (sd)</td></tr>
<tr class="separator:a6209a565ae8e042b83a33e669351d167"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a863d9c5055ba6c0301d0ce84d8233a74"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a863d9c5055ba6c0301d0ce84d8233a74">extend_sd_m::extend_sd_reconstruct_rhs</a> (sd)</td></tr>
<tr class="separator:a863d9c5055ba6c0301d0ce84d8233a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eeaa333bdbb7c56a185a4787bedd654"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a9eeaa333bdbb7c56a185a4787bedd654">extend_sd_m::extend_sd_reconstruct_xx</a> (sd)</td></tr>
<tr class="separator:a9eeaa333bdbb7c56a185a4787bedd654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2af9684c76347974cb7b623046c25ff2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a2af9684c76347974cb7b623046c25ff2">extend_sd_m::extend_sd_reconstruct_bc</a> (sd, dt)</td></tr>
<tr class="separator:a2af9684c76347974cb7b623046c25ff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5470db9e6ca9541a8935c4fb6bbce3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a3c5470db9e6ca9541a8935c4fb6bbce3">extend_sd_m::build_laplacian</a> (sd)</td></tr>
<tr class="separator:a3c5470db9e6ca9541a8935c4fb6bbce3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac084c6fa37c7ca48254d99c05e3ffdd0"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#ac084c6fa37c7ca48254d99c05e3ffdd0">extend_sd_m::set_initial_condition</a> (sd, n_var)</td></tr>
<tr class="separator:ac084c6fa37c7ca48254d99c05e3ffdd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d60f67d6bfdd7a3f80ecc3b72461bf8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a9d60f67d6bfdd7a3f80ecc3b72461bf8">extend_sd_m::extend_sd_solve_poisson_gs</a> (sd, stcp, lap, n_var, max_iters, zero, EXIST_XYZ)</td></tr>
<tr class="separator:a9d60f67d6bfdd7a3f80ecc3b72461bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac79921f2ef2396f005551d95f405dfdf"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#ac79921f2ef2396f005551d95f405dfdf">update_border_field</a> ()</td></tr>
<tr class="separator:ac79921f2ef2396f005551d95f405dfdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ffbcf87e11f7ef30402b884cf7eb0d7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a5ffbcf87e11f7ef30402b884cf7eb0d7">extend_sd_m::extend_sd_cleanup</a> (sd)</td></tr>
<tr class="separator:a5ffbcf87e11f7ef30402b884cf7eb0d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d82c062f38e8ea728fbf6976d2b85a1"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a6d82c062f38e8ea728fbf6976d2b85a1">extend_sd_m::extend_sd_solve_poisson_jacobi</a> (sd, stcp, lap, n_var, max_iters, zero, EXIST_XYZ)</td></tr>
<tr class="separator:a6d82c062f38e8ea728fbf6976d2b85a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac34603762092ea7d5b92636e5bd90726"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#ac34603762092ea7d5b92636e5bd90726">extend_sd_m::extend_md_prepare</a> (first_sd)</td></tr>
<tr class="separator:ac34603762092ea7d5b92636e5bd90726"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7507a297555490754cda323560afb23d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a7507a297555490754cda323560afb23d">get_bdry_data_md</a> ()</td></tr>
<tr class="separator:a7507a297555490754cda323560afb23d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5a2582ef5943be597abe161a8826f5f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#ad5a2582ef5943be597abe161a8826f5f">add_cv_md_bc</a> (first_CV_md, CV_md, recent_CV_md, id, dir, dir_sign, imask)</td></tr>
<tr class="separator:ad5a2582ef5943be597abe161a8826f5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa75124ae4c09a2122c944616fcb6274c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#aa75124ae4c09a2122c944616fcb6274c">extend_sd_m::extend_md_comm</a> (first_sd)</td></tr>
<tr class="separator:aa75124ae4c09a2122c944616fcb6274c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa170bbc738434109b40c2a83261ffdad"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#aa170bbc738434109b40c2a83261ffdad">add_fa_md_seed</a> (first_FA_md, FA_md, recent_FA_md, i, j, k, dir, dir_sign)</td></tr>
<tr class="separator:aa170bbc738434109b40c2a83261ffdad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4150bb5d98fdfd0ba468856b32c5154"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#af4150bb5d98fdfd0ba468856b32c5154">vdf_extend_flow::extend_flow_init</a> (vdf)</td></tr>
<tr class="separator:af4150bb5d98fdfd0ba468856b32c5154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01d0cffb19d836cc6b0323b0c08a0f9"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#ae01d0cffb19d836cc6b0323b0c08a0f9">vdf_extend_flow::extend_flow_simple_init</a> (vdf)</td></tr>
<tr class="separator:ae01d0cffb19d836cc6b0323b0c08a0f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b99608c0f5998b9b39dcf9f589bce43"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#a7b99608c0f5998b9b39dcf9f589bce43">vdf_extend_flow::extend_flow</a> (vdf)</td></tr>
<tr class="separator:a7b99608c0f5998b9b39dcf9f589bce43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa55392f4936d6ae8b41c84044ef4f93"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#aaa55392f4936d6ae8b41c84044ef4f93">vdf_extend_flow::extend_flow_simple</a> (vdf)</td></tr>
<tr class="separator:aaa55392f4936d6ae8b41c84044ef4f93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6101d6f9ff647189203108219424e6"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#aeb6101d6f9ff647189203108219424e6">vdf_extend_flow::extend_flow_bc</a> (vdf)</td></tr>
<tr class="separator:aeb6101d6f9ff647189203108219424e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1e282614e7e621cea02e6a1d0fdd894"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#aa1e282614e7e621cea02e6a1d0fdd894">face_area</a> (ii, ji, ki, diri)</td></tr>
<tr class="separator:aa1e282614e7e621cea02e6a1d0fdd894"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d07c3dd4bcabbd790c76619465c482e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#a7d07c3dd4bcabbd790c76619465c482e">compute_mass_err</a> ()</td></tr>
<tr class="separator:a7d07c3dd4bcabbd790c76619465c482e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5735ee0b93ef9b11071ef61932e9fd3c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#a5735ee0b93ef9b11071ef61932e9fd3c">vdf_extend_flow::extend_flow_bc_simple</a> (vdf)</td></tr>
<tr class="separator:a5735ee0b93ef9b11071ef61932e9fd3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab98831a37bc8cebf419aa99f1aacb62b"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#ab98831a37bc8cebf419aa99f1aacb62b">vdf_extend_flow::extend_flow_velocity_bc</a> (vdf)</td></tr>
<tr class="separator:ab98831a37bc8cebf419aa99f1aacb62b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0fa91a6e12e05505f3414b8fb6deac8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#ad0fa91a6e12e05505f3414b8fb6deac8">vdf_extend_flow::extend_flow_divergence_free</a> (vdf)</td></tr>
<tr class="separator:ad0fa91a6e12e05505f3414b8fb6deac8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab584d4314359ebc6f4ee08d66d359863"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="vdf__extend__flow_8f90.html#ab584d4314359ebc6f4ee08d66d359863">print_value</a> ()</td></tr>
<tr class="separator:ab584d4314359ebc6f4ee08d66d359863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af807d2d7be3e9f3cbe7bf7b907996f5d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#af807d2d7be3e9f3cbe7bf7b907996f5d">vdf_extend_flow::extend_sd_zero_walls</a> (vdf)</td></tr>
<tr class="separator:af807d2d7be3e9f3cbe7bf7b907996f5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a695a961a8de12cc3ea83365d7cb834e3"><td class="memItemLeft" align="right" valign="top">logical, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceextend__sd__m.html#a695a961a8de12cc3ea83365d7cb834e3">extend_sd_m::skip_extend_flow</a></td></tr>
<tr class="separator:a695a961a8de12cc3ea83365d7cb834e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab17693d4f7731d2aa86cc6666b50fdef"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#ab17693d4f7731d2aa86cc6666b50fdef">vdf_extend_flow::pt</a></td></tr>
<tr class="separator:ab17693d4f7731d2aa86cc6666b50fdef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e199a160eb7727cf9484845ce5b517d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#a7e199a160eb7727cf9484845ce5b517d">vdf_extend_flow::ut</a></td></tr>
<tr class="separator:a7e199a160eb7727cf9484845ce5b517d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae06c8b8c87c6225b4ce24522944eb3b5"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#ae06c8b8c87c6225b4ce24522944eb3b5">vdf_extend_flow::vt</a></td></tr>
<tr class="separator:ae06c8b8c87c6225b4ce24522944eb3b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0d86a911e533b26cd572e9a80932751"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacevdf__extend__flow.html#ac0d86a911e533b26cd572e9a80932751">vdf_extend_flow::simple_mode</a></td></tr>
<tr class="separator:ac0d86a911e533b26cd572e9a80932751"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ad5a2582ef5943be597abe161a8826f5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5a2582ef5943be597abe161a8826f5f">&#9670;&nbsp;</a></span>add_cv_md_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_md_prepare::add_cv_md_bc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__i__t.html">ijk_dir_i_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>first_CV_md</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__i__t.html">ijk_dir_i_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>CV_md</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__i__t.html">ijk_dir_i_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>recent_CV_md</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir_sign</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>imask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_ad5a2582ef5943be597abe161a8826f5f_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_ad5a2582ef5943be597abe161a8826f5f_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_ad5a2582ef5943be597abe161a8826f5f_icgraph" id="vdf__extend__flow_8f90_ad5a2582ef5943be597abe161a8826f5f_icgraph">
<area shape="rect" id="node2" href="vdf__extend__flow_8f90.html#a7507a297555490754cda323560afb23d" title="get_bdry_data_md" alt="" coords="164,13,293,39"/>
<area shape="rect" id="node3" href="namespaceextend__sd__m.html#ac34603762092ea7d5b92636e5bd90726" title="extend_sd_m::extend\l_md_prepare" alt="" coords="341,5,488,47"/>
</map>
</div>

</div>
</div>
<a id="a4312532604e352879897bf961cf532db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4312532604e352879897bf961cf532db">&#9670;&nbsp;</a></span>add_cv_nov()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine set_ijk_list_extend_nover::add_cv_nov </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a4312532604e352879897bf961cf532db_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a4312532604e352879897bf961cf532db_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a4312532604e352879897bf961cf532db_icgraph" id="vdf__extend__flow_8f90_a4312532604e352879897bf961cf532db_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#a8a91ed2fb9b9520d5104cecc123e3003" title="extend_sd_m::set_ijk\l_list_extend_nover" alt="" coords="145,39,292,80"/>
<area shape="rect" id="node3" href="namespaceextend__sd__m.html#ab29fa7646d0f628354698e5dbcc1df59" title="extend_sd_m::extend\l_sd_allocate_mem" alt="" coords="340,5,487,47"/>
<area shape="rect" id="node5" href="namespaceextend__sd__m.html#aa75124ae4c09a2122c944616fcb6274c" title="extend_sd_m::extend\l_md_comm" alt="" coords="340,71,487,112"/>
<area shape="rect" id="node4" href="namespaceextend__sd__m.html#aebcd963ac380ab6ae1e39adf5862c2c7" title="extend_sd_m::extend\l_sd_save" alt="" coords="535,5,681,47"/>
</map>
</div>

</div>
</div>
<a id="a4e5509af3ab71ca1a3a75c91b0986c37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e5509af3ab71ca1a3a75c91b0986c37">&#9670;&nbsp;</a></span>add_cv_wo_bc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_sd_allocate_mem::add_cv_wo_bc </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir_sign</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a4e5509af3ab71ca1a3a75c91b0986c37_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a4e5509af3ab71ca1a3a75c91b0986c37_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a4e5509af3ab71ca1a3a75c91b0986c37_icgraph" id="vdf__extend__flow_8f90_a4e5509af3ab71ca1a3a75c91b0986c37_icgraph">
<area shape="rect" id="node2" href="vdf__extend__flow_8f90.html#a7152a4d100a812d827dc9ccedb161713" title="build_list_wo_neighbor\l_fluid_cv" alt="" coords="163,5,316,47"/>
<area shape="rect" id="node3" href="namespaceextend__sd__m.html#ab29fa7646d0f628354698e5dbcc1df59" title="extend_sd_m::extend\l_sd_allocate_mem" alt="" coords="364,5,511,47"/>
<area shape="rect" id="node4" href="namespaceextend__sd__m.html#aebcd963ac380ab6ae1e39adf5862c2c7" title="extend_sd_m::extend\l_sd_save" alt="" coords="559,5,705,47"/>
</map>
</div>

</div>
</div>
<a id="aa170bbc738434109b40c2a83261ffdad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa170bbc738434109b40c2a83261ffdad">&#9670;&nbsp;</a></span>add_fa_md_seed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_md_comm::add_fa_md_seed </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__i__t.html">ijk_dir_i_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>first_FA_md</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__i__t.html">ijk_dir_i_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>FA_md</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structijk__list__m_1_1ijk__dir__i__t.html">ijk_dir_i_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>recent_FA_md</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir_sign</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_aa170bbc738434109b40c2a83261ffdad_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_aa170bbc738434109b40c2a83261ffdad_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_aa170bbc738434109b40c2a83261ffdad_icgraph" id="vdf__extend__flow_8f90_aa170bbc738434109b40c2a83261ffdad_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#aa75124ae4c09a2122c944616fcb6274c" title="extend_sd_m::extend\l_md_comm" alt="" coords="175,5,321,47"/>
</map>
</div>

</div>
</div>
<a id="a6c2e451723ff7cc05d198a238a178e12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c2e451723ff7cc05d198a238a178e12">&#9670;&nbsp;</a></span>add_md_grad_cv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_sd_save::add_md_grad_cv </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a6c2e451723ff7cc05d198a238a178e12_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a6c2e451723ff7cc05d198a238a178e12_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a6c2e451723ff7cc05d198a238a178e12_icgraph" id="vdf__extend__flow_8f90_a6c2e451723ff7cc05d198a238a178e12_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#aebcd963ac380ab6ae1e39adf5862c2c7" title="extend_sd_m::extend\l_sd_save" alt="" coords="175,5,321,47"/>
</map>
</div>

</div>
</div>
<a id="a7152a4d100a812d827dc9ccedb161713"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7152a4d100a812d827dc9ccedb161713">&#9670;&nbsp;</a></span>build_list_wo_neighbor_fluid_cv()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_sd_allocate_mem::build_list_wo_neighbor_fluid_cv </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="vdf__extend__flow_8f90.html#a4e5509af3ab71ca1a3a75c91b0986c37">add_cv_wo_bc()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_cgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_cgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_cgraph" id="vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_cgraph">
<area shape="rect" id="node2" href="vdf__extend__flow_8f90.html#a4e5509af3ab71ca1a3a75c91b0986c37" title="add_cv_wo_bc" alt="" coords="207,13,316,39"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_icgraph" id="vdf__extend__flow_8f90_a7152a4d100a812d827dc9ccedb161713_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#ab29fa7646d0f628354698e5dbcc1df59" title="extend_sd_m::extend\l_sd_allocate_mem" alt="" coords="207,5,353,47"/>
<area shape="rect" id="node3" href="namespaceextend__sd__m.html#aebcd963ac380ab6ae1e39adf5862c2c7" title="extend_sd_m::extend\l_sd_save" alt="" coords="401,5,548,47"/>
</map>
</div>

</div>
</div>
<a id="a98b89f130ff90467449ef79b7c6d2baa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98b89f130ff90467449ef79b7c6d2baa">&#9670;&nbsp;</a></span>check_neighbor_for_fluid_cv()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_sd_allocate_mem::check_neighbor_for_fluid_cv </td>
          <td>(</td>
          <td class="paramtype">integer, dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>id_in</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a98b89f130ff90467449ef79b7c6d2baa_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a98b89f130ff90467449ef79b7c6d2baa_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a98b89f130ff90467449ef79b7c6d2baa_icgraph" id="vdf__extend__flow_8f90_a98b89f130ff90467449ef79b7c6d2baa_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#ab29fa7646d0f628354698e5dbcc1df59" title="extend_sd_m::extend\l_sd_allocate_mem" alt="" coords="188,5,335,47"/>
<area shape="rect" id="node3" href="namespaceextend__sd__m.html#aebcd963ac380ab6ae1e39adf5862c2c7" title="extend_sd_m::extend\l_sd_save" alt="" coords="383,5,529,47"/>
</map>
</div>

</div>
</div>
<a id="a7d07c3dd4bcabbd790c76619465c482e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d07c3dd4bcabbd790c76619465c482e">&#9670;&nbsp;</a></span>compute_mass_err()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_flow_bc::compute_mass_err </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="vdf__extend__flow_8f90.html#aa1e282614e7e621cea02e6a1d0fdd894">face_area()</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_cgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_cgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_cgraph" id="vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_cgraph">
<area shape="rect" id="node2" href="vdf__extend__flow_8f90.html#aa1e282614e7e621cea02e6a1d0fdd894" title="face_area" alt="" coords="187,5,265,32"/>
</map>
</div>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_icgraph" id="vdf__extend__flow_8f90_a7d07c3dd4bcabbd790c76619465c482e_icgraph">
<area shape="rect" id="node2" href="namespacevdf__extend__flow.html#aeb6101d6f9ff647189203108219424e6" title="vdf_extend_flow::extend\l_flow_bc" alt="" coords="187,296,351,337"/>
<area shape="rect" id="node3" href="namespacevdf__func.html#a8cc9b202ad22d8660a29d41299cc76a9" title="vdf_func::vdf_set_bcs" alt="" coords="399,303,549,330"/>
<area shape="rect" id="node4" href="namespacearts__md__func.html#a6115edbfaef68d0b3148e65ce15ce9e1" title="arts_md_func::arts\l_md_boundary_ghost" alt="" coords="984,61,1131,103"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="1190,259,1330,300"/>
<area shape="rect" id="node22" href="namespacenga__if__func.html#a61746e6b1bce7fb29b5ef74f79593f4f" title="nga_if_func::if_prestep2" alt="" coords="601,329,762,355"/>
<area shape="rect" id="node24" href="namespacenga__if__ib__func.html#a0a5cb3ac0c8f953d9b2f9757e727daae" title="nga_if_ib_func::if\l_ib_prestep2" alt="" coords="621,380,742,421"/>
<area shape="rect" id="node26" href="namespacenga__x__func.html#a9b18644661c79fdbb0dc04dde01abbaa" title="nga_x_func::x_prestep2" alt="" coords="601,446,762,473"/>
<area shape="rect" id="node28" href="namespacevdf__func.html#a3a25adb5fcd3e8386d1dc9589059e5ec" title="vdf_func::vdf_check_bcs" alt="" coords="597,278,765,305"/>
<area shape="rect" id="node5" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1190,15,1330,56"/>
<area shape="rect" id="node6" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1404,5,1539,47"/>
<area shape="rect" id="node7" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1620,13,1689,39"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1418,266,1525,293"/>
<area shape="rect" id="node20" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1404,555,1539,596"/>
<area shape="rect" id="node10" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1633,63,1677,90"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1623,215,1686,242"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1611,266,1698,293"/>
<area shape="rect" id="node13" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1621,317,1689,343"/>
<area shape="rect" id="node14" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1607,367,1703,394"/>
<area shape="rect" id="node15" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1609,418,1701,445"/>
<area shape="rect" id="node16" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1626,114,1683,141"/>
<area shape="rect" id="node17" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1617,165,1692,191"/>
<area shape="rect" id="node18" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1605,469,1704,495"/>
<area shape="rect" id="node19" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1626,519,1683,546"/>
<area shape="rect" id="node21" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1601,570,1708,597"/>
<area shape="rect" id="node23" href="nga__if_2nga__if_8f90.html#ac80e8db8d781535b6016fedee8395f11" title="simulation_run" alt="" coords="821,337,928,363"/>
<area shape="rect" id="node25" href="nga__if__ib_2nga__if__ib_8f90.html#a1fd90bffd5135187d9664ebd063d1d7f" title="simulation_run" alt="" coords="821,387,928,414"/>
<area shape="rect" id="node27" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="821,446,928,473"/>
<area shape="rect" id="node29" href="namespacevdf__func.html#afeb948932519c701e1eee84d16ee30f0" title="vdf_func::vdf_init\l_step1" alt="" coords="813,271,936,312"/>
<area shape="rect" id="node30" href="namespacevdf__func.html#a100f0a9b32fa4f78bf440c3aa925a903" title="vdf_func::vdf_init" alt="" coords="996,278,1119,305"/>
<area shape="rect" id="node31" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1190,89,1330,131"/>
<area shape="rect" id="node33" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="1196,173,1324,215"/>
<area shape="rect" id="node36" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="1179,331,1341,372"/>
<area shape="rect" id="node37" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="1196,411,1324,452"/>
<area shape="rect" id="node32" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1389,71,1553,98"/>
<area shape="rect" id="node34" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1407,122,1535,149"/>
<area shape="rect" id="node35" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1411,173,1532,215"/>
<area shape="rect" id="node38" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="1407,446,1535,473"/>
</map>
</div>

</div>
</div>
<a id="aa1e282614e7e621cea02e6a1d0fdd894"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1e282614e7e621cea02e6a1d0fdd894">&#9670;&nbsp;</a></span>face_area()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function extend_flow_bc::face_area </td>
          <td>(</td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ii</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ji</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>ki</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>diri</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_aa1e282614e7e621cea02e6a1d0fdd894_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_aa1e282614e7e621cea02e6a1d0fdd894_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_aa1e282614e7e621cea02e6a1d0fdd894_icgraph" id="vdf__extend__flow_8f90_aa1e282614e7e621cea02e6a1d0fdd894_icgraph">
<area shape="rect" id="node2" href="namespacevdf__extend__flow.html#aeb6101d6f9ff647189203108219424e6" title="vdf_extend_flow::extend\l_flow_bc" alt="" coords="313,296,477,337"/>
<area shape="rect" id="node39" href="vdf__extend__flow_8f90.html#a7d07c3dd4bcabbd790c76619465c482e" title="compute_mass_err" alt="" coords="132,329,265,355"/>
<area shape="rect" id="node3" href="namespacevdf__func.html#a8cc9b202ad22d8660a29d41299cc76a9" title="vdf_func::vdf_set_bcs" alt="" coords="525,303,676,330"/>
<area shape="rect" id="node4" href="namespacearts__md__func.html#a6115edbfaef68d0b3148e65ce15ce9e1" title="arts_md_func::arts\l_md_boundary_ghost" alt="" coords="1111,61,1257,103"/>
<area shape="rect" id="node8" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="1317,259,1457,300"/>
<area shape="rect" id="node22" href="namespacenga__if__func.html#a61746e6b1bce7fb29b5ef74f79593f4f" title="nga_if_func::if_prestep2" alt="" coords="727,329,889,355"/>
<area shape="rect" id="node24" href="namespacenga__if__ib__func.html#a0a5cb3ac0c8f953d9b2f9757e727daae" title="nga_if_ib_func::if\l_ib_prestep2" alt="" coords="747,380,869,421"/>
<area shape="rect" id="node26" href="namespacenga__x__func.html#a9b18644661c79fdbb0dc04dde01abbaa" title="nga_x_func::x_prestep2" alt="" coords="727,446,889,473"/>
<area shape="rect" id="node28" href="namespacevdf__func.html#a3a25adb5fcd3e8386d1dc9589059e5ec" title="vdf_func::vdf_check_bcs" alt="" coords="724,278,892,305"/>
<area shape="rect" id="node5" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1317,15,1457,56"/>
<area shape="rect" id="node6" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1531,5,1665,47"/>
<area shape="rect" id="node7" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1747,13,1816,39"/>
<area shape="rect" id="node9" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1545,266,1651,293"/>
<area shape="rect" id="node20" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1531,555,1665,596"/>
<area shape="rect" id="node10" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1759,63,1803,90"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1750,215,1813,242"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1738,266,1825,293"/>
<area shape="rect" id="node13" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1747,317,1815,343"/>
<area shape="rect" id="node14" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1733,367,1829,394"/>
<area shape="rect" id="node15" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1735,418,1827,445"/>
<area shape="rect" id="node16" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1753,114,1810,141"/>
<area shape="rect" id="node17" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1744,165,1819,191"/>
<area shape="rect" id="node18" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1732,469,1831,495"/>
<area shape="rect" id="node19" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1753,519,1810,546"/>
<area shape="rect" id="node21" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="1728,570,1835,597"/>
<area shape="rect" id="node23" href="nga__if_2nga__if_8f90.html#ac80e8db8d781535b6016fedee8395f11" title="simulation_run" alt="" coords="948,337,1055,363"/>
<area shape="rect" id="node25" href="nga__if__ib_2nga__if__ib_8f90.html#a1fd90bffd5135187d9664ebd063d1d7f" title="simulation_run" alt="" coords="948,387,1055,414"/>
<area shape="rect" id="node27" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="948,446,1055,473"/>
<area shape="rect" id="node29" href="namespacevdf__func.html#afeb948932519c701e1eee84d16ee30f0" title="vdf_func::vdf_init\l_step1" alt="" coords="940,271,1063,312"/>
<area shape="rect" id="node30" href="namespacevdf__func.html#a100f0a9b32fa4f78bf440c3aa925a903" title="vdf_func::vdf_init" alt="" coords="1123,278,1245,305"/>
<area shape="rect" id="node31" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1317,89,1457,131"/>
<area shape="rect" id="node33" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="1323,173,1451,215"/>
<area shape="rect" id="node36" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="1305,331,1468,372"/>
<area shape="rect" id="node37" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="1323,411,1451,452"/>
<area shape="rect" id="node32" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1516,71,1680,98"/>
<area shape="rect" id="node34" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1534,122,1662,149"/>
<area shape="rect" id="node35" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1537,173,1659,215"/>
<area shape="rect" id="node38" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="1534,446,1662,473"/>
</map>
</div>

</div>
</div>
<a id="a7507a297555490754cda323560afb23d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7507a297555490754cda323560afb23d">&#9670;&nbsp;</a></span>get_bdry_data_md()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_md_prepare::get_bdry_data_md </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="vdf__extend__flow_8f90.html#ad5a2582ef5943be597abe161a8826f5f">add_cv_md_bc()</a>, <a class="el" href="namespacemulti__domain__func__m.html#ab4dd7a3625fd61325ec8b8a068cf30dc">multi_domain_func_m::md_cleanup_comm_pts_flagged()</a>, <a class="el" href="namespacemulti__domain__func__m.html#ad803e5cec720e8999a8f22d948633d72">multi_domain_func_m::md_comm_pts_flagged()</a>, and <a class="el" href="namespacemulti__domain__func__m.html#a7f0c7592cd4f5641de918fdfd0b86cf2">multi_domain_func_m::md_setup_comm_pts_flagged()</a>.</p>
<div id="dynsection-11" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-11-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-11-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-11-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_cgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_cgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_cgraph" id="vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_cgraph">
<area shape="rect" id="node2" href="vdf__extend__flow_8f90.html#ad5a2582ef5943be597abe161a8826f5f" title="add_cv_md_bc" alt="" coords="211,5,322,32"/>
<area shape="rect" id="node3" href="namespacemulti__domain__func__m.html#ab4dd7a3625fd61325ec8b8a068cf30dc" title="multi_domain_func_m\l::md_cleanup_comm_pts\l_flagged" alt="" coords="183,56,351,112"/>
<area shape="rect" id="node4" href="namespacemulti__domain__func__m.html#ad803e5cec720e8999a8f22d948633d72" title="multi_domain_func_m\l::md_comm_pts_flagged" alt="" coords="184,137,349,178"/>
<area shape="rect" id="node5" href="namespacemulti__domain__func__m.html#a7f0c7592cd4f5641de918fdfd0b86cf2" title="multi_domain_func_m\l::md_setup_comm_pts\l_flagged" alt="" coords="189,203,344,259"/>
<area shape="rect" id="node6" href="namespacemulti__domain__tools__m.html#a7460e3fe69cfd727a0371b2a8bcb8a93" title="multi_domain_tools\l_m::get_md_link" alt="" coords="399,151,533,193"/>
<area shape="rect" id="node7" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="418,217,514,244"/>
<area shape="rect" id="node9" href="namespacemulti__domain__tools__m.html#aec89d1fb0a78578f606b5cd22d41c732" title="multi_domain_tools\l_m::set_md_link" alt="" coords="399,270,533,311"/>
<area shape="rect" id="node8" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="589,207,720,249"/>
<area shape="rect" id="node10" href="namespacemulti__domain__tools__m.html#aea1eed1d88e657c23a0a1ce215a8e27a" title="multi_domain_tools\l_m::set_md_link_part" alt="" coords="581,273,728,314"/>
<area shape="rect" id="node11" href="namespacemulti__domain__tools__m.html#a73e15d47e8dab6b3c5567772b08fdc51" title="multi_domain_tools\l_m::set_md_data_part" alt="" coords="776,273,928,314"/>
<area shape="rect" id="node12" href="multi__domain__tools__m_8f90.html#a170c1254cf2ed382842106b45916cb29" title="work_on_sd" alt="" coords="976,280,1068,307"/>
<area shape="rect" id="node13" href="namespacemulti__domain__tools__m.html#a3ef870d0e4e3d672a36aa68a4083c1fc" title="multi_domain_tools\l_m::add_md_data_part" alt="" coords="1116,273,1271,314"/>
</map>
</div>
<div id="dynsection-12" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-12-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-12-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-12-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_icgraph" id="vdf__extend__flow_8f90_a7507a297555490754cda323560afb23d_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#ac34603762092ea7d5b92636e5bd90726" title="extend_sd_m::extend\l_md_prepare" alt="" coords="183,5,329,47"/>
</map>
</div>

</div>
</div>
<a id="ab584d4314359ebc6f4ee08d66d359863"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab584d4314359ebc6f4ee08d66d359863">&#9670;&nbsp;</a></span>print_value()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_flow_divergence_free::print_value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0935701c984c0df2d4f8e59a53ec650d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0935701c984c0df2d4f8e59a53ec650d">&#9670;&nbsp;</a></span>set_bc_info_trg_pt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_sd_allocate_mem::set_bc_info_trg_pt </td>
          <td>(</td>
          <td class="paramtype">integer, dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>id_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir_sign</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>is_mot</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-13" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-13-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-13-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-13-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_a0935701c984c0df2d4f8e59a53ec650d_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_a0935701c984c0df2d4f8e59a53ec650d_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_a0935701c984c0df2d4f8e59a53ec650d_icgraph" id="vdf__extend__flow_8f90_a0935701c984c0df2d4f8e59a53ec650d_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#ab29fa7646d0f628354698e5dbcc1df59" title="extend_sd_m::extend\l_sd_allocate_mem" alt="" coords="183,5,329,47"/>
<area shape="rect" id="node3" href="namespaceextend__sd__m.html#aebcd963ac380ab6ae1e39adf5862c2c7" title="extend_sd_m::extend\l_sd_save" alt="" coords="377,5,524,47"/>
</map>
</div>

</div>
</div>
<a id="af3cec45263fa79a9127009985c1affc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3cec45263fa79a9127009985c1affc3">&#9670;&nbsp;</a></span>set_exx1_to_exx2()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine extend_sd_init::set_exx1_to_exx2 </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structextend__sd__defs__m_1_1extend__xx__t.html">extend_xx_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>exx1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structextend__sd__defs__m_1_1extend__xx__t.html">extend_xx_t</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>exx2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-14" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-14-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-14-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-14-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_af3cec45263fa79a9127009985c1affc3_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_af3cec45263fa79a9127009985c1affc3_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_af3cec45263fa79a9127009985c1affc3_icgraph" id="vdf__extend__flow_8f90_af3cec45263fa79a9127009985c1affc3_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#a03df8262f9171dec1cb7bb1018ca694d" title="extend_sd_m::extend\l_sd_init" alt="" coords="181,126,328,167"/>
<area shape="rect" id="node3" href="namespacevdf__extend__flow.html#af4150bb5d98fdfd0ba468856b32c5154" title="vdf_extend_flow::extend\l_flow_init" alt="" coords="588,126,752,167"/>
<area shape="rect" id="node19" href="namespacevdf__extend__flow.html#ae01d0cffb19d836cc6b0323b0c08a0f9" title="vdf_extend_flow::extend\l_flow_simple_init" alt="" coords="376,155,540,197"/>
<area shape="rect" id="node4" href="namespacevdf__func.html#aceff1ddc6766d59e4e5dced9f8f8eb05" title="vdf_func::vdf_init\l_step2" alt="" coords="800,126,923,167"/>
<area shape="rect" id="node5" href="namespacevdf__func.html#a100f0a9b32fa4f78bf440c3aa925a903" title="vdf_func::vdf_init" alt="" coords="971,133,1093,160"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1153,13,1293,54"/>
<area shape="rect" id="node9" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="1159,93,1287,134"/>
<area shape="rect" id="node14" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="1141,158,1304,199"/>
<area shape="rect" id="node16" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="1159,223,1287,265"/>
<area shape="rect" id="node7" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1352,5,1516,32"/>
<area shape="rect" id="node8" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1579,5,1623,32"/>
<area shape="rect" id="node10" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1370,56,1498,83"/>
<area shape="rect" id="node12" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1373,107,1495,149"/>
<area shape="rect" id="node11" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1573,56,1630,83"/>
<area shape="rect" id="node13" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="1564,115,1639,141"/>
<area shape="rect" id="node15" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="1385,173,1483,200"/>
<area shape="rect" id="node17" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="1370,231,1498,257"/>
<area shape="rect" id="node18" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1573,231,1630,257"/>
</map>
</div>

</div>
</div>
<a id="ac79921f2ef2396f005551d95f405dfdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac79921f2ef2396f005551d95f405dfdf">&#9670;&nbsp;</a></span>update_border_field()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine update_border_field </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-15" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-15-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-15-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-15-content" class="dyncontent" style="display:none;">
<div class="center"><img src="vdf__extend__flow_8f90_ac79921f2ef2396f005551d95f405dfdf_icgraph.png" border="0" usemap="#vdf__extend__flow_8f90_ac79921f2ef2396f005551d95f405dfdf_icgraph" alt=""/></div>
<map name="vdf__extend__flow_8f90_ac79921f2ef2396f005551d95f405dfdf_icgraph" id="vdf__extend__flow_8f90_ac79921f2ef2396f005551d95f405dfdf_icgraph">
<area shape="rect" id="node2" href="namespaceextend__sd__m.html#a9d60f67d6bfdd7a3f80ecc3b72461bf8" title="extend_sd_m::extend\l_sd_solve_poisson_gs" alt="" coords="198,118,353,159"/>
<area shape="rect" id="node49" href="namespaceextend__sd__m.html#a6d82c062f38e8ea728fbf6976d2b85a1" title="extend_sd_m::extend\l_sd_solve_poisson_jacobi" alt="" coords="188,183,363,225"/>
<area shape="rect" id="node3" href="namespaceextend__sd__m.html#a6209a565ae8e042b83a33e669351d167" title="extend_sd_m::extend\l_sd_update_gradient" alt="" coords="419,89,566,130"/>
<area shape="rect" id="node4" href="namespacevdf__extend__flow.html#a7b99608c0f5998b9b39dcf9f589bce43" title="vdf_extend_flow::extend_flow" alt="" coords="835,80,1029,107"/>
<area shape="rect" id="node10" href="namespacevdf__extend__flow.html#aaa55392f4936d6ae8b41c84044ef4f93" title="vdf_extend_flow::extend\l_flow_simple" alt="" coords="623,145,787,186"/>
<area shape="rect" id="node11" href="namespacevdf__extend__flow.html#ad0fa91a6e12e05505f3414b8fb6deac8" title="vdf_extend_flow::extend\l_flow_divergence_free" alt="" coords="411,206,575,247"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a9b9ee78716a9bfa679a63d740967149c" title="arts_cf_simulation\l::recompute_metric" alt="" coords="1094,66,1229,107"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a0a1d10b650d0c7044fe719f31b619bb4" title="Pre&#45;step 1 &#45; physical properties. " alt="" coords="1293,57,1421,98"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="1489,5,1596,32"/>
<area shape="rect" id="node8" href="namespacearts__wc__simulation.html#a7e9250a92667a7d87165db98cf98c41f" title="arts_wc_simulation\l::arts_wc_prestep1" alt="" coords="1475,57,1610,98"/>
<area shape="rect" id="node9" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="1692,63,1799,89"/>
<area shape="rect" id="node12" href="namespacevdf__extend__flow.html#aeb6101d6f9ff647189203108219424e6" title="vdf_extend_flow::extend\l_flow_bc" alt="" coords="623,217,787,258"/>
<area shape="rect" id="node13" href="namespacevdf__func.html#a8cc9b202ad22d8660a29d41299cc76a9" title="vdf_func::vdf_set_bcs" alt="" coords="857,245,1007,272"/>
<area shape="rect" id="node14" href="namespacearts__md__func.html#a6115edbfaef68d0b3148e65ce15ce9e1" title="arts_md_func::arts\l_md_boundary_ghost" alt="" coords="1469,123,1616,165"/>
<area shape="rect" id="node18" href="namespacearts__simulation.html#a80dda89ed8abf4b853ea8926e1a5c18d" title="arts_simulation::arts\l_prestep2" alt="" coords="1675,330,1815,371"/>
<area shape="rect" id="node32" href="namespacenga__if__func.html#a61746e6b1bce7fb29b5ef74f79593f4f" title="nga_if_func::if_prestep2" alt="" coords="1081,296,1242,323"/>
<area shape="rect" id="node34" href="namespacenga__if__ib__func.html#a0a5cb3ac0c8f953d9b2f9757e727daae" title="nga_if_ib_func::if\l_ib_prestep2" alt="" coords="1101,347,1222,389"/>
<area shape="rect" id="node36" href="namespacenga__x__func.html#a9b18644661c79fdbb0dc04dde01abbaa" title="nga_x_func::x_prestep2" alt="" coords="1081,413,1242,440"/>
<area shape="rect" id="node38" href="namespacevdf__func.html#a3a25adb5fcd3e8386d1dc9589059e5ec" title="vdf_func::vdf_check_bcs" alt="" coords="1077,245,1245,272"/>
<area shape="rect" id="node15" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="1675,114,1815,155"/>
<area shape="rect" id="node16" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1889,77,2024,118"/>
<area shape="rect" id="node17" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="2105,84,2175,111"/>
<area shape="rect" id="node19" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="1903,337,2010,364"/>
<area shape="rect" id="node30" href="namespacearts__md__simulation.html#a1d63e088dd86b79505c90b8897b44cbe" title="arts_md_simulation\l::arts_md_prestep2" alt="" coords="1889,626,2024,667"/>
<area shape="rect" id="node20" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="2118,135,2162,161"/>
<area shape="rect" id="node21" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="2109,287,2171,313"/>
<area shape="rect" id="node22" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="2097,337,2183,364"/>
<area shape="rect" id="node23" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="2106,388,2174,415"/>
<area shape="rect" id="node24" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="2092,439,2188,465"/>
<area shape="rect" id="node25" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="2094,489,2186,516"/>
<area shape="rect" id="node26" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="2111,185,2169,212"/>
<area shape="rect" id="node27" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="2103,236,2177,263"/>
<area shape="rect" id="node28" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="2091,540,2189,567"/>
<area shape="rect" id="node29" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="2111,591,2169,617"/>
<area shape="rect" id="node31" href="arts_2arts__md_8f90.html#a539860039fa2e9f4d5cae3f324d15649" title="simulation_run" alt="" coords="2087,641,2193,668"/>
<area shape="rect" id="node33" href="nga__if_2nga__if_8f90.html#ac80e8db8d781535b6016fedee8395f11" title="simulation_run" alt="" coords="1304,308,1411,335"/>
<area shape="rect" id="node35" href="nga__if__ib_2nga__if__ib_8f90.html#a1fd90bffd5135187d9664ebd063d1d7f" title="simulation_run" alt="" coords="1304,359,1411,385"/>
<area shape="rect" id="node37" href="nga__x_8f90.html#af1c88570d30098ff61b3df803ecef63a" title="simulation_run" alt="" coords="1304,413,1411,440"/>
<area shape="rect" id="node39" href="namespacevdf__func.html#afeb948932519c701e1eee84d16ee30f0" title="vdf_func::vdf_init\l_step1" alt="" coords="1296,242,1419,283"/>
<area shape="rect" id="node40" href="namespacevdf__func.html#a100f0a9b32fa4f78bf440c3aa925a903" title="vdf_func::vdf_init" alt="" coords="1481,252,1604,279"/>
<area shape="rect" id="node41" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1675,179,1815,221"/>
<area shape="rect" id="node43" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="1681,245,1809,286"/>
<area shape="rect" id="node46" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="1664,402,1827,443"/>
<area shape="rect" id="node47" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="1681,482,1809,523"/>
<area shape="rect" id="node42" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1875,143,2039,169"/>
<area shape="rect" id="node44" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1893,193,2021,220"/>
<area shape="rect" id="node45" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1896,245,2017,286"/>
<area shape="rect" id="node48" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="1893,517,2021,544"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
